Bug 823464 - (CVE-2012-2376) CVE-2012-2376 php: Buffer overflow in com_print_typeinfo() by parsing certain variant types
CVE-2012-2376 php: Buffer overflow in com_print_typeinfo() by parsing certain...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120519,reported=2...
: Security
Depends On:
Blocks: 823468
  Show dependency treegraph
 
Reported: 2012-05-21 06:20 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 12:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-21 06:20:58 EDT
A security flaw was found in the way the com_print_typeinfo() routine of the PHP scripting language processed certain COM object arguments. If a PHP language based application remotely accepted untrusted com_print_typeinfo() arguments in order to print out a PHP class definition for a dispatchable interface, a remote attacker could provide a specially-crafted COM object, which once processed by the application could lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.

References:
[1] https://isc.sans.edu/diary/PHP+5+4+Remote+Exploit+PoC+in+the+wild/13255
[2] http://packetstormsecurity.org/files/112851/php54-exec.txt
[3] http://www.exploit-db.com/exploits/18861/
[4] http://www.reddit.com/r/netsec/comments/tuyp3/isc_diary_php_54_remote_exploit_poc_in_the_wild/

CVE request:
[5] http://www.openwall.com/lists/oss-security/2012/05/20/1

CVE assignment:
[6] http://www.openwall.com/lists/oss-security/2012/05/20/2
Comment 1 Stefan Cornelius 2012-05-21 12:05:54 EDT
Statement:

Not vulnerable. This flaw is specific to PHP instances, running on Microsoft Windows platform.

Note You need to log in before you can comment on or make changes to this bug.